TCPDROP(8) | System Manager's Manual | TCPDROP(8)

# NAME

tcpdrop — drop a TCP connection

# SYNOPSIS

tcpdrop | laddr lport faddr fport

# DESCRIPTION

The tcpdrop command drops the TCP connection specified by the local address laddr, port lport and the foreign address faddr, port fport. Addresses and ports can be specified by name or numeric value.

# EXAMPLES

If a connection to httpd(8) is causing congestion on a network link, one can drop the TCP session in charge:

    $ fstat | grep 'httpd.*internet.*<--'
    www      httpd      21307    3* internet stream tcp \
    	0xd1007ca8 192.168.5.41:80 <-- 192.168.5.1:26747

The following command will drop the connection:

    # tcpdrop 192.168.5.41 80 192.168.5.1 26747

# SEE ALSO

fstat(1), netstat(1)

June 23, 2007 | NetBSD 6.0